Other Classes: Class LineSeparator

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serialize
Class LineSeparator

    java.lang.Object
      |
      +--org.apache.xml.serialize.LineSeparator

Deprecated. This class was deprecated in Xerces 2.9.0. It is recommended that new applications use the DOM Level 3 LSSerializer or JAXP's Transformation API for XML (TrAX) for serializing XML. See the Xerces documentation for more information.

public final class LineSeparator
extends java.lang.Object

Version:
  $Revision: 476047 $ $Date: 2006-11-16 23:27:45 -0500 (Thu, 16 Nov 2006) $
Author:
  Assaf Arkin
See Also:
  `OutputFormat`

Field Summary
`static java.lang.String` | `Macintosh` Deprecated. Line separator for Macintosh systems (`\r`).
`static java.lang.String` | `Unix` Deprecated. Line separator for Unix systems (`\n`).
`static java.lang.String` | `Web` Deprecated. Line separator for the Web (`\n`).
`static java.lang.String` | `Windows` Deprecated. Line separator for Windows systems (`\r\n`).

Constructor Summary
`LineSeparator()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Unix

    public static final java.lang.String Unix

  Deprecated.
  Line separator for Unix systems (`\n`).

### Windows

    public static final java.lang.String Windows

  Deprecated.
  Line separator for Windows systems (`\r\n`).

### Macintosh

    public static final java.lang.String Macintosh

  Deprecated.
  Line separator for Macintosh systems (`\r`).

### Web

    public static final java.lang.String Web

  Deprecated.
  Line separator for the Web (`\n`).

Constructor Detail

### LineSeparator

    public LineSeparator()

  Deprecated.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.